Prev |  | Next

## Migration

### From Pre M2 to M4

#### Server Versions

The good news: We have done away with the need for managing multiple server versions. This also means that we won't have to support multiple WebTools Server Runtimes and Servers which will make adding new servers and variants much easier. See https://bugs.eclipse.org/bugs/show_bug.cgi?id=373453 for more details.

The bad news: Any Server Runtimes that you already created for Virgo Server 3.5 will not work -- and you will see nasty exceptions if you try to use them. But since pre-M4 Virgo Tooling didn't work with Virgo Server 3.5 anyway, this should be a moot issue for most people.

What to do: If you have an existing (i.e., created using Virgo IDE installed before 10 March 2012) Virgo Server 3.5 Runtime defined, just delete it and replace it with a new Virgo Runtime in Preferences:Server:Runtime Environments. You'll see that the correct version is discovered automatically. Then, open any Servers that uses the old runtime and select the new one from the Runtime Environment popup menu.

### From Spring Source and Virgo 2.x Tooling

Moving from the old tooling to the new requires some changes to your existing projects, these are documented here.

The Bundlor .settings file has a new name ( com.springsource.server.ide.bundlor.core.prefs -&gt; org.eclipse.virgo.ide.bundlor.core.prefs) and the property keys in it have new names as well. Currently these just need to be changed manually (replace com.springsource.server by org.eclipse.virgo) or use the project properties pane to create new settings and delete the old one. (recommended)

The Bundle Dependencies classpath entry has a new name ( com.springsource.server.ide.jdt.core.MANIFEST_CLASSPATH_CONTAINER -&gt; org.eclipse.virgo.ide.jdt.core.MANIFEST_CLASSPATH_CONTAINER). This can be changed manually (in the .classpath file) or in the Java Build Path section of the project properties.

The attributes used to mark folders as test folders have been renamed ( com.springsource.server.ide.jdt.core.test.classpathentry -&gt; org.eclipse.virgo.ide.jdt.core.test.classpathentry). This can be changed manually (in the .classpath file).

The PAR and Bundle nature have been renamed ( com.springsource.server.ide.facet.core.bundlenature -&gt; org.eclipse.virgo.ide.facet.core.bundlenature and ( com.springsource.server.ide.facet.core.parnature -&gt; org.eclipse.virgo.ide.facet.core.parnature)). This can be changed manually (in the .project file).

The format and name of a PAR project changed. Rename .settings/com.springsource.server.ide.runtime.core.par.xml to .settings/org.eclipse.virgo.ide.runtime.core.par.xml. Inside the file rename occurences of com.springsource.server to org.eclipse.virgo.

Snapshot build change: We've made a change in our tooling that will require modifying the org.eclipse.virgo.ide.runtime.core.par.xml file so that it points to the correct par.ecore URI. Rename xmlns:com.springsource.server.ide.par=" http:///com/springsource/server/ide/par.ecore&quot; to "xmlns:org.eclipse.virgo.ide.par=" http://eclipse.org/virgo/par.ecore&quot;

Inside the WST settings file ( .settings/org.eclipse.wst.common.project.facet.core.xml) rename occurences of com.springsource.server.bundle to org.eclipse.virgo.server.bundle and occurences of com.springsource.server.par to org.eclipse.virgo.server.par.

Most/all of the conversion should be done by the following script (it has only see marginal testing, use at your own risk): < pre>#!/bin/sh

1. NOTE1: Run this at your own risk&nbsp;:)

2. NOTE2: I should quote more dots in sed expressions but I'm lazy.

3. TODO: Delete old com.springsource files after conversion

if -d &quot;$1&quot; ; then

echo &quot;Please point me at an eclipse project&quot;&amp;nbsp;;
exit 1

fi

1. Bundlor settings

f="$1/.settings/com.springsource.server.ide.bundlor.core.prefs" [ -f "$f" ] &amp;&amp; (

echo &quot;$1: Converting bundlor preferences&quot;
sed -e 's/com\.springsource\.server/org.eclipse.virgo/g' &quot;$f&quot; &amp;gt; &quot;$(echo $f | sed -e s/com.springsource.server/org.eclipse.virgo/)&quot;

)

1. convert PAR

f="$1/.settings/com.springsource.server.ide.runtime.core.par.xml" [ -f "$f" ] &amp;&amp; (

echo &quot;$1: Converting PAR project dependencies&quot;
sed -e 's/com\.springsource\.server/org.eclipse.virgo/g' &quot;$f&quot; &amp;gt; &quot;$(echo $f | sed -e s/com.springsource.server/org.eclipse.virgo/)&quot;

)

1. Fix classpaths

f="$1/.classpath" [ -f "$f" ] &amp;&amp; (

echo &quot;$1: Converting classpath containers and entries&quot;
sed -i \
-e 's/com.springsource.server.ide.jdt.core.MANIFEST_CLASSPATH_CONTAINER/org.eclipse.virgo.ide.jdt.core.MANIFEST_CLASSPATH_CONTAINER/g' \
-e 's/com.springsource.server.ide.jdt.core.test.classpathentry/org.eclipse.virgo.ide.jdt.core.test.classpathentry/g' \
&quot;$f&quot;

)

1. Fix natures..

f="$1/.project" [ -f "$f" ] &amp;&amp; (

echo &quot;$1: Converting project natures&quot;
sed -i \
-e 's/com.springsource.server.ide.facet.core.bundlenature/org.eclipse.virgo.ide.facet.core.bundlenature/g' \
-e 's/com.springsource.server.ide.facet.core.parnature/org.eclipse.virgo.ide.facet.core.parnature/g' \
&quot;$f&quot;

)

1. Fix the wst file, could also replace runtime name here

f="$1/.settings/org.eclipse.wst.common.project.facet.core.xml" [ -f "$f" ] &amp;&amp; (

echo &quot;$1: Converting org.eclipse.wst.common.project.facet.core.xml&quot;
sed -i \
-e 's/com.springsource.server.bundle/org.eclipse.virgo.server.bundle/g' \
-e 's/com.springsource.server.par/org.eclipse.virgo.server.par/g' \
&quot;$f&quot;

)

</pre>

Prev | Up | Next
| Home |